SystemOrganization addCategory: #GODKernel!

Object subclass: #GODData
	instanceVariableNames: 'timestamp origin author title content tags width height'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODKernel'!

!GODData methodsFor: 'adding' stamp: 'has 9/20/2014 20:04'!
addTag: newTag
	"I add a new tag and returns the collection."
	(self tagExists: newTag)
	ifFalse:[tags add: newTag]
	ifTrue:[(GODDataTagAlreadyExistsError tagName: newTag) signal]! !

!GODData methodsFor: 'accessing' stamp: 'has 9/17/2014 21:52'!
author
	^ author! !

!GODData methodsFor: 'accessing' stamp: 'has 9/17/2014 21:52'!
author: aString
	author := aString! !

!GODData methodsFor: 'accessing' stamp: 'has 9/17/2014 21:53'!
content
	^ content! !

!GODData methodsFor: 'accessing' stamp: 'has 9/17/2014 21:53'!
content: aString
	content := aString! !

!GODData methodsFor: 'accessing' stamp: 'has 9/17/2014 22:13'!
height
	^ height! !

!GODData methodsFor: 'accessing' stamp: 'has 9/17/2014 22:13'!
height: anInteger
	height := anInteger! !

!GODData methodsFor: 'initialize' stamp: 'has 9/18/2014 15:40'!
initialize
	self tags: OrderedCollection new.! !

!GODData methodsFor: 'testing' stamp: 'has 9/17/2014 21:10'!
isGODData
	"True for all subclasses of GODData"

	^ true! !

!GODData methodsFor: 'testing' stamp: 'has 9/17/2014 22:32'!
isWho
	"Returns the subclass of GODData"

	^ self! !

!GODData methodsFor: 'accessing' stamp: 'has 9/17/2014 21:47'!
origin
	^ origin! !

!GODData methodsFor: 'accessing' stamp: 'has 9/17/2014 21:48'!
origin: aString
	origin := aString! !

!GODData methodsFor: 'testing' stamp: 'has 9/18/2014 09:48'!
tagExists: aTagName
	"Ï verify if a tag exists in the tag collection"
	tags do:[:each | (each = aTagName)
						ifTrue:[^true]].
	^false.! !

!GODData methodsFor: 'accessing' stamp: 'has 9/17/2014 21:54'!
tags
	^ tags! !

!GODData methodsFor: 'accessing' stamp: 'has 9/20/2014 19:40'!
tags: anOrderedCollectionTag
	
	(anOrderedCollectionTag isMemberOf: OrderedCollection)
		ifTrue: [tags := anOrderedCollectionTag]
		ifFalse: [GODDataTagMustBeAnOrderedCollection signal]
	! !

!GODData methodsFor: 'accessing' stamp: 'has 9/17/2014 21:38'!
timestamp
	^ timestamp! !

!GODData methodsFor: 'accessing' stamp: 'has 9/17/2014 21:43'!
timestamp: aDate
	timestamp := aDate! !

!GODData methodsFor: 'accessing' stamp: 'has 9/17/2014 21:53'!
title
	^ title! !

!GODData methodsFor: 'accessing' stamp: 'has 9/17/2014 21:52'!
title: aString
	title := aString! !

!GODData methodsFor: 'accessing' stamp: 'has 9/17/2014 22:11'!
width
	^ width! !

!GODData methodsFor: 'accessing' stamp: 'has 9/17/2014 22:12'!
width: anInteger
	width := anInteger! !
